#include <sqlite3.h>

extern "C" {

struct database_state {
    sqlite3* vm;
};

void database_state_init(struct database_state* s, const char* db_path);
void database_state_free(struct database_state* s);
void database_write_active(struct database_state* s, int collar_id, int active_status);
void database_write_location(struct database_state* s, int collar_id, double x, double y);

}
